## gcl 2.6.13

=== debian/changelog ===
gcl (2.6.13-6) unstable; urgency=medium

  * Version_2_6_14pre5

 -- Camm Maguire <camm@debian.org>  Sun, 08 Jan 2023 09:49:13 -0500

gcl (2.6.13-5) unstable; urgency=medium

  * Version_2_6_14pre4

 -- Camm Maguire <camm@debian.org>  Sun, 25 Dec 2022 07:14:33 -0500

gcl (2.6.13-4) unstable; urgency=medium

  * Version_2_6_14pre3

 -- Camm Maguire <camm@debian.org>  Fri, 23 Dec 2022 11:34:35 -0500

gcl (2.6.13-3) unstable; urgency=medium

  * Version_2_6_14pre2

 -- Camm Maguire <camm@debian.org>  Thu, 22 Dec 2022 19:09:24 -0500

gcl (2.6.13-2) unstable; urgency=medium

  * Version_2_6_14pre1

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 14:40:21 -0500

gcl (2.6.13-1) unstable; urgency=medium

  * New Upstream Release

 -- Camm Maguire <camm@debian.org>  Tue, 20 Dec 2022 10:35:44 -0500

gcl (2.6.12-131) unstable; urgency=medium

  * Version_2.6.13pre131

 -- Camm Maguire <camm@debian.org>  Sat, 17 Dec 2022 12:15:58 -0500

gcl (2.6.12-130) unstable; urgency=medium

  * Version_2.6.13pre130

 -- Camm Maguire <camm@debian.org>  Fri, 16 Dec 2022 12:41:29 -0500

gcl (2.6.12-129) unstable; urgency=medium

  * Version_2.6.13pre129

 -- Camm Maguire <camm@debian.org>  Sun, 13 Nov 2022 07:55:14 -0500

gcl (2.6.12-128) unstable; urgency=medium

  * Version_2.6.13pre128

 -- Camm Maguire <camm@debian.org>  Sat, 12 Nov 2022 11:02:31 -0500

gcl (2.6.12-126) unstable; urgency=medium

  * Version_2.6.13pre126

 -- Camm Maguire <camm@debian.org>  Tue, 08 Nov 2022 19:43:41 -0500

gcl (2.6.12-125) unstable; urgency=medium

  * Version_2.6.13pre125

 -- Camm Maguire <camm@debian.org>  Tue, 08 Nov 2022 15:33:25 -0500

gcl (2.6.12-124) unstable; urgency=medium

  * Version_2.6.13pre124

 -- Camm Maguire <camm@debian.org>  Thu, 11 Aug 2022 13:16:42 -0400

gcl (2.6.12-123) unstable; urgency=medium

  * Version_2.6.13pre123

 -- Camm Maguire <camm@debian.org>  Mon, 08 Aug 2022 13:00:55 -0400

gcl (2.6.12-122) unstable; urgency=medium

  * Version_2.6.13pre122

 -- Camm Maguire <camm@debian.org>  Mon, 08 Aug 2022 11:50:22 -0400

gcl (2.6.12-121) unstable; urgency=medium

  * Version_2.6.13pre121

 -- Camm Maguire <camm@debian.org>  Mon, 08 Aug 2022 11:45:30 -0400

gcl (2.6.12-120) unstable; urgency=medium

  * Version_2.6.13pre120

 -- Camm Maguire <camm@debian.org>  Sun, 07 Aug 2022 12:26:10 -0400

gcl (2.6.12-119) unstable; urgency=medium

  * Version_2.6.13pre119

 -- Camm Maguire <camm@debian.org>  Sun, 31 Jul 2022 12:00:02 -0400

gcl (2.6.12-118) unstable; urgency=medium

  * Bug fix: "emacs dependency should be &quot;emacs | emacsen&quot;",
    thanks to Adrian Bunk (Closes: #1006617).
  * Bug fix: "Please remove dependency on install-info", thanks to
    hille42@web.de</a>; (Closes: #1013691).
  * Version_2.6.13pre118

 -- Camm Maguire <camm@debian.org>  Tue, 12 Jul 2022 17:17:09 -0400

gcl (2.6.12-117) unstable; urgency=medium

  * Version_2.6.13pre114

 -- Camm Maguire <camm@debian.org>  Sat, 25 Dec 2021 11:38:16 -0500

gcl (2.6.12-116) unstable; urgency=medium

  * Version_2.6.13pre113

 -- Camm Maguire <camm@debian.org>  Wed, 22 Dec 2021 19:52:18 +0000

gcl (2.6.12-115) unstable; urgency=medium

  * Version_2.6.13pre112

 -- Camm Maguire <camm@debian.org>  Fri, 17 Dec 2021 16:08:45 +0000

gcl (2.6.12-114) unstable; urgency=medium

  * Version_2.6.13pre111

 -- Camm Maguire <camm@debian.org>  Thu, 16 Dec 2021 11:35:04 +0000

gcl (2.6.12-113) unstable; urgency=medium

  * Version_2.6.13pre110

 -- Camm Maguire <camm@debian.org>  Thu, 16 Dec 2021 11:35:04 +0000

gcl (2.6.12-112) unstable; urgency=medium

  * Version_2.6.13pre109

 -- Camm Maguire <camm@debian.org>  Wed, 15 Dec 2021 19:39:42 +0000

gcl (2.6.12-111) unstable; urgency=medium

  * Version_2.6.13pre108

 -- Camm Maguire <camm@debian.org>  Thu, 11 Nov 2021 17:10:43 +0000

gcl (2.6.12-110) unstable; urgency=medium

  * Version_2.6.13pre107

 -- Camm Maguire <camm@debian.org>  Thu, 11 Nov 2021 01:34:07 +0000

gcl (2.6.12-109) unstable; urgency=medium

  * Version_2.6.13pre106

 -- Camm Maguire <camm@debian.org>  Wed, 10 Nov 2021 18:57:21 +0000

gcl (2.6.12-108) unstable; urgency=medium

  * Version_2.6.13pre105

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 18:22:58 +0000

gcl (2.6.12-107) unstable; urgency=medium

  * Version_2.6.13pre103

 -- Camm Maguire <camm@debian.org>  Tue, 09 Nov 2021 10:10:19 +0000

gcl (2.6.12-106) unstable; urgency=medium

  * Version_2.6.13pre102

 -- Camm Maguire <camm@debian.org>  Thu, 04 Nov 2021 14:33:53 +0000

gcl (2.6.12-105) unstable; urgency=medium

  * Version_2.6.13pre101
  * Bug fix: "fails to start with glibc 2.33", thanks to Andreas Kloeckner
    (Closes: #995323).

 -- Camm Maguire <camm@debian.org>  Sun, 10 Oct 2021 13:18:39 +0000

gcl (2.6.12-104) unstable; urgency=medium

  * Version_2.6.13pre100
  * standardize cstack start address on 32bit arm

 -- Camm Maguire <camm@debian.org>  Sun, 10 Oct 2021 12:44:51 +0000

gcl (2.6.12-103) unstable; urgency=medium

  * Bug fix: "Fails to install in unstable", thanks to Samuel Thibault
    (Closes: #993480).

 -- Camm Maguire <camm@debian.org>  Sat, 04 Sep 2021 19:23:26 +0000

gcl (2.6.12-102) unstable; urgency=medium

  * Version_2.6.13pre99
  * Bug fix: "describe fails because gcl-si.info does not exist", thanks
    to Leo Butler (Closes: #980003).

 -- Camm Maguire <camm@debian.org>  Fri, 29 Jan 2021 19:08:05 +0000

gcl (2.6.12-101) unstable; urgency=medium

  * Version_2.6.13pre98

 -- Camm Maguire <camm@debian.org>  Sun, 17 Jan 2021 16:25:34 +0000

gcl (2.6.12-100) unstable; urgency=medium

  * Version_2.6.13pre97

 -- Camm Maguire <camm@debian.org>  Fri, 04 Dec 2020 14:51:41 +0000

gcl (2.6.12-99) unstable; urgency=medium

  * Version_2.6.13pre95

 -- Camm Maguire <camm@debian.org>  Sat, 28 Nov 2020 15:50:42 +0000
