## gcl 2.6.14

=== debian/changelog ===
gcl (2.6.14-19) unstable; urgency=medium

  * Version_2_6_15pre18

 -- Camm Maguire <camm@debian.org>  Tue, 25 Mar 2025 12:52:33 -0400

gcl (2.6.14-18) unstable; urgency=medium

  * Version_2_6_15pre17

 -- Camm Maguire <camm@debian.org>  Fri, 07 Mar 2025 11:04:42 -0500

gcl (2.6.14-17) unstable; urgency=medium

  * Version_2_6_15pre16
  * Bug fix: "ftbfs with GCC-15", thanks to Matthias Klose (Closes:
    #1096684).
  * Bug fix: "outdated debconf version constraint; inhibits support for
    debconf-2.0/cdebconf", thanks to Gioele Barabucci (Closes: #1096165).

 -- Camm Maguire <camm@debian.org>  Fri, 07 Mar 2025 09:43:18 -0500

gcl (2.6.14-16) unstable; urgency=medium

  * Version_2_6_15pre15

 -- Camm Maguire <camm@debian.org>  Thu, 13 Feb 2025 21:29:40 -0500

gcl (2.6.14-15) unstable; urgency=medium

  * Version_2_6_15pre14

 -- Camm Maguire <camm@debian.org>  Thu, 13 Feb 2025 21:16:33 -0500

gcl (2.6.14-14) unstable; urgency=medium

  * Version_2_6_15pre13

 -- Camm Maguire <camm@debian.org>  Thu, 13 Feb 2025 09:08:37 -0500

gcl (2.6.14-13) unstable; urgency=medium

  * Version_2_6_15pre12

 -- Camm Maguire <camm@debian.org>  Sat, 08 Feb 2025 15:09:57 -0500

gcl (2.6.14-12) unstable; urgency=medium

  * Version_2_6_15pre11

 -- Camm Maguire <camm@debian.org>  Mon, 03 Feb 2025 15:01:46 -0500

gcl (2.6.14-11) unstable; urgency=medium

  * Version_2_6_15pre10

 -- Camm Maguire <camm@debian.org>  Tue, 16 Jul 2024 10:54:27 -0400

gcl (2.6.14-10) unstable; urgency=medium

  * Version_2_6_15pre9

 -- Camm Maguire <camm@debian.org>  Sun, 14 Jul 2024 15:38:42 -0400

gcl (2.6.14-9) unstable; urgency=high

  * Version_2_6_15pre8

 -- Camm Maguire <camm@debian.org>  Mon, 11 Mar 2024 08:56:32 -0400

gcl (2.6.14-8) unstable; urgency=high

  * Version_2_6_15pre7
  * Bug fix: "fricas: missing build-dep on libtirpc-dev or libtirpc-dev dependency in gcl",
    thanks to Aurelien Jarno (Closes: #1065210).

 -- Camm Maguire <camm@debian.org>  Sun, 10 Mar 2024 11:13:46 -0400

gcl (2.6.14-7) unstable; urgency=medium

  * Version_2_6_15pre6
  * Bug fix: "recent libc6-dev change causes XDR support to be dropped",
    thanks to Aurelien Jarno (Closes: #1065208).

 -- Camm Maguire <camm@debian.org>  Wed, 06 Mar 2024 09:30:02 -0500

gcl (2.6.14-6) unstable; urgency=medium

  * Version_2_6_15pre5

 -- Camm Maguire <camm@debian.org>  Fri, 23 Feb 2024 11:05:05 -0500

gcl (2.6.14-5) unstable; urgency=medium

  * Version_2_6_15pre4

 -- Camm Maguire <camm@debian.org>  Fri, 23 Feb 2024 07:48:19 -0500

gcl (2.6.14-4) unstable; urgency=medium

  * Version_2_6_15pre3

 -- Camm Maguire <camm@debian.org>  Tue, 14 Feb 2023 08:20:37 -0500

gcl (2.6.14-3) unstable; urgency=medium

  * Version_2_6_15pre2

 -- Camm Maguire <camm@debian.org>  Mon, 13 Feb 2023 10:42:54 -0500

gcl (2.6.14-2) unstable; urgency=medium

  * Version_2_6_15pre1

 -- Camm Maguire <camm@debian.org>  Sun, 12 Feb 2023 18:35:20 -0500

gcl (2.6.14-1) unstable; urgency=medium

  * New Upstream Release

 -- Camm Maguire <camm@debian.org>  Fri, 13 Jan 2023 10:43:17 -0500
