=== debian/control ===
Source: gcl
Section: lisp
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Homepage: http://gnu.org/software/gcl
Build-Depends: debhelper-compat (= 13), libeditreadline-dev, m4, tk8.6-dev, libgmp-dev, libxmu-dev, libxaw7-dev, po-debconf, zlib1g-dev, tcl, binutils-dev, libtirpc-dev
Standards-Version: 4.5.0

Package: gcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, emacs | emacsen, ucf, libtirpc-dev
Breaks: emacsen-common (<< 2.0.0)
Suggests: gcl-doc
Description: GNU Common Lisp compiler
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains the Lisp system itself.  Documentation 
 is provided in the gcl-doc package.

Package: gcl-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Depends: dpkg (>= 1.15.4), ${misc:Depends}
Description: Documentation for GNU Common Lisp
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains Documentation in info format of both the
 system internals, as well as the graphical interface currently
 implemented in Tcl/Tk.
